groovy.util

## Class ObservableList.ObservableIterator

- java.lang.Object
- - groovy.util.ObservableList.ObservableIterator

All Implemented Interfaces:
  java.util.Iterator

Direct Known Subclasses:
  ObservableList.ObservableListIterator

Enclosing class:
  ObservableList

    protected class ObservableList.ObservableIterator
    extends java.lang.Object
    implements java.util.Iterator

### Field Summary

Fields
`protected int` `cursor`

### Constructor Summary

Constructors
Constructor and Description
`ObservableList.ObservableIterator(java.util.Iterator iterDelegate)`

### Method Summary

Methods
`java.util.Iterator` `getDelegate()`
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cursor

    protected int cursor

### Constructor Detail

#### ObservableList.ObservableIterator

    public ObservableList.ObservableIterator(java.util.Iterator iterDelegate)

### Method Detail

#### getDelegate

    public java.util.Iterator getDelegate()

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator`

#### next

    public java.lang.Object next()

Specified by:
  `next` in interface `java.util.Iterator`

#### remove

    public void remove()

Specified by:
  `remove` in interface `java.util.Iterator`